package variables

const (
	Version = "0.0.4"

	SessionName = "Session_Data_House"

	sensorMacRegex = ":sensor([0-9A-Fa-f:]+)"
)

var (
	RootRoute = "/"

	AddTempRoute  = "/add/temp/" + sensorMacRegex + "/:val([0-9]+)"
	AddRelayRoute = "/add/relay/" + sensorMacRegex

	ViewTempRoute   = "/view/temp"
	ViewRelaysRoute = "/view/relay"
	ViewRelayRoute  = "/view/relay/" + sensorMacRegex

	CommandRelayRoute = "/command/relay/" + sensorMacRegex

	SensorsRoute      = "/sensors"
	LoginRoute        = "/login/:route(.*)"
	LoginRouteNoRegex = "/login"
	UserRoute         = "/user"
)
